pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/46586: libXt regression?

>Number:         46586
>Category:       pkg
>Synopsis:       libXt regression?
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Mon Jun 11 15:00:00 +0000 2012
>Originator:     Jörn Clausen
University of Bielefeld
Compiling graphics/plotutils fails with

libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I.. -I./../include -DLIBPLOT 
-O -MT apioldcc.lo -MD -MP -MF .deps/apioldcc.Tpo -c  -fPIC -DPIC 
-o .libs/apioldcc.o
In file included from ./../include/plotter.h:68:0,
                 from extern.h:63,
 error: expected ',' or '...' before 'format'
 error: args to be formatted is not '...'
*** Error code 1

Environment is Solaris 10/i86 with stand-alone GCC 4.7.0.

I guess graphics/plotutils is just a coincidence, the update of x11/libXt is 
probably the cause. Version 1.0.8 did work, current version 1.1.3 has this 
problem. Due to the trouble with X11 (-errwarn et al.) on NetBSD, I can't check 


Home | Main Index | Thread Index | Old Index